/*
 * busTerminals.js
 * Copyright (C) 2008-2011 Tommi Rautava
 * Copyright (C) 2009 Marko Megla 
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * @param city
 */
org.mozdev.popomungo.classes.BusTerminalData = function BusTerminalData(city) {
	this.city = city;
};


org.mozdev.popomungo.busTerminals = {
	
	BUS_TERMINALS_BY_CITIES: null,

	BUS_TERMINALS_BY_LOCALE_ID: {
		35461:   new org.mozdev.popomungo.classes.BusTerminalData( 1),	// Stockholm
		35462:   new org.mozdev.popomungo.classes.BusTerminalData( 5),	// London
		35463:   new org.mozdev.popomungo.classes.BusTerminalData( 6),	// New York
		35464:   new org.mozdev.popomungo.classes.BusTerminalData( 7),	// Berlin
		35465:   new org.mozdev.popomungo.classes.BusTerminalData( 8),	// Amsterdam
		35466:   new org.mozdev.popomungo.classes.BusTerminalData( 9),	// Barcelona
		35467:   new org.mozdev.popomungo.classes.BusTerminalData(10),	// Melbourne
		35468:   new org.mozdev.popomungo.classes.BusTerminalData(11),	// Nashville
		35469:   new org.mozdev.popomungo.classes.BusTerminalData(14),	// Los Angeles
		35471:   new org.mozdev.popomungo.classes.BusTerminalData(16),	// Toronto
		35472:   new org.mozdev.popomungo.classes.BusTerminalData(17),	// Buenos Aires
		35473:   new org.mozdev.popomungo.classes.BusTerminalData(18),	// Moscow
		35474:   new org.mozdev.popomungo.classes.BusTerminalData(19),	// Helsinki
		35475:   new org.mozdev.popomungo.classes.BusTerminalData(20),	// Paris
		53595:   new org.mozdev.popomungo.classes.BusTerminalData(21),	// Sao Paulo
		72403:   new org.mozdev.popomungo.classes.BusTerminalData(23),	// Rome 
		81722:   new org.mozdev.popomungo.classes.BusTerminalData(10),	// Melbourne 
		88604:   new org.mozdev.popomungo.classes.BusTerminalData(22),	// Copenhagen
		103127:  new org.mozdev.popomungo.classes.BusTerminalData(24),	// Madrid
		104741:  new org.mozdev.popomungo.classes.BusTerminalData(25),	// Rio de Janeiro 
		106201:  new org.mozdev.popomungo.classes.BusTerminalData(26),	// Tromso
		111706:  new org.mozdev.popomungo.classes.BusTerminalData(27),	// Glasgow
		122918:  new org.mozdev.popomungo.classes.BusTerminalData(28),	// Vilnius
		131990:  new org.mozdev.popomungo.classes.BusTerminalData(29),	// Dubrovnik
		137941:  new org.mozdev.popomungo.classes.BusTerminalData(30),	// Istanbul
		140963:  new org.mozdev.popomungo.classes.BusTerminalData(31),	// Porto
		170267:  new org.mozdev.popomungo.classes.BusTerminalData(32),	// Mexico City
		188642:  new org.mozdev.popomungo.classes.BusTerminalData(33),	// Brussels
		195083:  new org.mozdev.popomungo.classes.BusTerminalData(34),	// Tallinn
		249589:  new org.mozdev.popomungo.classes.BusTerminalData(35),	// Ankara
		282984:  new org.mozdev.popomungo.classes.BusTerminalData(36),	// Belgrade 
		358358:  new org.mozdev.popomungo.classes.BusTerminalData(38),	// Montreal
		473017:  new org.mozdev.popomungo.classes.BusTerminalData(39),	// Singapore
		653962:  new org.mozdev.popomungo.classes.BusTerminalData(42),	// Budapest
		670042:  new org.mozdev.popomungo.classes.BusTerminalData(45),	// Shanghai
		773545:  new org.mozdev.popomungo.classes.BusTerminalData(46),	// Bucharest 
		782566:  new org.mozdev.popomungo.classes.BusTerminalData(47),	// Izmir
		847918:  new org.mozdev.popomungo.classes.BusTerminalData(48),	// Warsaw
		1174001: new org.mozdev.popomungo.classes.BusTerminalData(49),	// Sarajevo
		1349117: new org.mozdev.popomungo.classes.BusTerminalData(50),	// Seattle
		1845323: new org.mozdev.popomungo.classes.BusTerminalData(51), 	// Johannesburg
		1886304: new org.mozdev.popomungo.classes.BusTerminalData(52),	// Milano
		1958366: new org.mozdev.popomungo.classes.BusTerminalData(53)		// Sofia
	},
	
	
	getCityByBusTerminal: function getCityByBusTerminal(localeId) {
		var data = this.BUS_TERMINALS_BY_LOCALE_ID[localeId];

		return (data ? data.city : undefined); 
	}
};
