/**
 * localeLinksOptions.js
 * Copyright (C) 2008-2011 Tommi Rautava
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

org.mozdev.popomungo.localeLinksOptions = {
	
	onLoad: function localeLinksOptionsOnLoad() {
		try {
			this.localePopupLinksFeaturesOnCommand();
			this.localeVisibleLinksFeaturesOnCommand();
		}
		catch (err) {
			org.mozdev.popomungo.logger.logError(err);
		}
		
		return true;
	},
	
	
	localePopupLinksFeaturesOnCommand:
	function localePopupLinksFeaturesOnCommand() {
		var cb = window.document.getElementById('links.popup.locale.enabled.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		window.document.getElementById('links.popup.locale.moveHere.enabled.checkbox').disabled = disabled;
		window.document.getElementById('links.popup.locale.viewCharacters.enabled.checkbox').disabled = disabled;
		
		return true;
	},
	

	localeVisibleLinksFeaturesOnCommand:
	function localeVisibleLinksFeaturesOnCommand() {
		var cb = window.document.getElementById('links.visible.locale.enabled.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		window.document.getElementById('links.visible.locale.moveHere.enabled.checkbox').disabled = disabled;
		window.document.getElementById('links.visible.locale.viewCharacters.enabled.checkbox').disabled = disabled;
		window.document.getElementById('links.visible.locale.type.radiogroup').disabled = disabled;
		
		this.visibleLinksTypeOnCommand();
		
		return true;
	},
	

	visibleLinksTypeOnCommand:
	function visibleLinksTypeOnCommand() {
		var rg = window.document.getElementById('links.visible.locale.type.radiogroup');
		var disabled = (rg.value != 1) || rg.disabled;
		
		window.document.getElementById('links.visible.locale.type.textColor.colorpicker').disabled = disabled;
		window.document.getElementById('links.visible.locale.type.textColor.colorpicker.label').disabled = disabled;
		window.document.getElementById('links.visible.locale.type.backgroundColor.colorpicker').disabled = disabled;
		window.document.getElementById('links.visible.locale.type.backgroundColor.colorpicker.label').disabled = disabled;
		
		return true;
	}
};

org.mozdev.popomungo.logger.log("org.mozdev.popomungo.localeLinksOptions loaded");

// EOF